# Workflow in Reproducible Research with R and RStudio

This is an example R project intended for teaching purposes.

The aim is to illustrate ways to organize the workflow when using R, RStudio etc, in a manner which facilitates *Reproducible Research*.

This is part of a larger course for PhD students on R, at the University of Southern Denmark.

The actual code, creates some dummy data, runs an ANOVA and generates some results for presentation -- tables, figures, etc

## Content

**Primary purpose**

This R-Studio project is a stand-alone dummy project which is to be used for practical exercises in class.

**Secondary purpose**

Secondarily, the files and folder-structure of this project can be used as a template for creating actual R-Studio projects.

It is accompanied by other teaching materials (ioslides presentation, cheat sheet, etc), which are not included in this RStudio project folder.

## Files and structure

Should be relatively self-explanatory, but :

-   The main manuscript is `plos-one-manuscript.qmd`
    -   This illustrates the basic rendering of text and R scripts
-   A secondary output script is `presentation.qmd`
    -   This illustrates the re-use of results from the manuscript in a presentation
-   The manuscript calls a `main.R` script, which in turn calls some custom functions in separate R scripts.
    -   This illustrates the organizing of code into separate files
-   An R script in the folder `/data` cleans the raw data and stores it as an R Data Structure (rds) file
    -   This illustrates the separating out of analyses/code, that does not need to be run with every new rendering of the main output (manuscript), but a) should be scripted and b) can be run once or only when updates are required.
-   A sessionInfo.txt files is generated by the main.R script for reference and (this) README.md file is included
    -   This illustrates documentation of the system the code was prepared on, and along with comments in code, the thinking behind the code
